<?php
if (!defined('PLX_ROOT')) exit;
class AdminPanel extends plxPlugin {
	private $plxMotor,$plxAdmin,$plxPlugins,$plxShow;
	public function __construct($default_lang) {
		# appel du constructeur de la classe plxPlugin (obligatoire)
		parent::__construct($default_lang);


		# limite l'acces a l'ecran de configuration du plugin
		# PROFIL_ADMIN , PROFIL_MANAGER , PROFIL_MODERATOR , PROFIL_EDITOR , PROFIL_WRITER
		$this->setConfigProfil(PROFIL_ADMIN);	

		# Déclaration d'un hook (existant ou nouveau)
		//$this->addHook('ThemeEndBody','ThemeEndBody');
		$this->addHook('editArticleIcon','editArticleIcon');
		$this->addHook('adminPanel','adminPanel');
	
	
		
	}

	# Activation / desactivation
	public function OnActivate() {
		# code à executer à l’activation du plugin
	}
	public function OnDeactivate() {
		# code à executer à la désactivation du plugin
	}
	# HOOKS
	public function editArticleIcon(){
		if (!isset($_SESSION['user'])){return;}
		echo '<a href="<?php echo PLX_CORE."admin/article.php?a=".$plxMotor->plxRecord_arts->f("numero");?>" class="edit_article"><img src="'.$this->getParam("url_icon_edit").'"/>'.$this->getParam("text_edit").'</a>';
	}

	public function adminPanel() {
		$this->setPlxVars();
		if (empty($_SESSION['user'])){return;}
		
		echo '		
		<style>
			.adminPanel_icon_comment:after{
				content:attr(title);
			}
		</style>
		<div class="adminPanel">
			<a href="'.PLX_CORE.'admin/"/><img src="'.$this->getParam("url_icon_admin").'"/>'.$this->getParam("text_admin").'</a>			
			<a href="'.PLX_CORE.'admin/comments.php?sel=offline"/><span class="adminPanel_icon_comment" title="'.$this->plxMotor->nbComments('offline').'"><img src="'.$this->getParam("url_icon_comments").'"/></span>'.$this->getParam("text_comments").'</a>
			<a href="'.PLX_CORE.'admin/auth.php?d=1"/><img src="'.$this->getParam("url_icon_off").'"/> '.$this->getParam("text_off").'</a>
		</div>';
	}

	private function setPlxVars(){ # récupère les instances de travail
		$this->plxMotor=class_exists('plxMotor')?plxMotor::getInstance():false;
		$this->plxPlugins=$this->plxMotor->plxPlugins;
		$this->plxShow=class_exists('plxShow')?plxShow::getInstance():false;
		$this->plxAdmin=class_exists('plxAdmin')?plxAdmin::getInstance():false;
	}

	

}





/* Pense-bête:
 * Récuperer des parametres du fichier parameters.xml
 *	$this->getParam("<nom du parametre>")
 *	$this-> setParam ("param1", 12345, "numeric")
 *	$this->saveParams()
 *
 *	plxUtils::strCheck($string) : sanitize string
 *
 * 
 * Quelques constantes utiles: 
 * PLX_CORE
 * PLX_ROOT
 * PLX_CHARSET
 * PLX_CONFIG_PATH
 * PLX_PLUGINS
 *
 * Appel de HOOK
 *	eval($plxShow->callHook("ThemeEndHead","param1"))  ou eval($plxShow->callHook("ThemeEndHead",array("param1","param2")))
 *	ou $retour=$plxShow->callHook("ThemeEndHead","param1"));
 */
?>
